All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Interface NodeInterface

All Superinterfaces:
  javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

All Known Subinterfaces:
  MenuBarNodeInterface, SelectorMenuItemNodeInterface, TreeNodeInterface

All Known Implementing Classes:
  JDBCToTreeViewModelAdapter.LevelTreeNode, MenuBarNode, MenuItemNode, MenuNode, Node, SelectorMenuItemNode, SimpleMenuItemNode, TreeNode

    public interface NodeInterface

extends javax.swing.tree.MutableTreeNode

NodeInterface is implemented by objects contained in a hierarchical structure that provide textual descriptions. NodeInterface provides an abstraction that allows the data source to remain distant from an associated viewer.

Method Summary
`java.lang.String` | `getNodeExpandedText()` Returns the value of the nodeExpandedText property.
`java.lang.String` | `getNodeText()` Returns the value of the nodeText property.
`java.lang.String` | `getNodeType()` Returns the type of the current node.

Method Detail

### getNodeExpandedText

    java.lang.String getNodeExpandedText()

  Returns the value of the nodeExpandedText property. The expanded text is usually a more descriptive version of the nodeText property. For example, a node that represents a file can return the file name for the nodeText property and the full path name for the nodeExpandedText property.

  Returns:
    the nodeExpandedText property

### getNodeText

    java.lang.String getNodeText()

  Returns the value of the nodeText property.

  Returns:
    the nodeText property

### getNodeType

    java.lang.String getNodeType()

  Returns the type of the current node. The type is a text string which allows the user of a node hierarchy to add more information to nodes. For example nodes in a file system viewer could use "file" or "directory" as the type to distinguish between nodes representing files and directories.

  Returns:
    the type of the current node

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.